From c6fd41478e818f3a651d40f96cab3d790e1c09a4 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <andreas.sturmlechner@gmail.com>
Date: Sun, 20 Jan 2019 18:25:45 +0100
Subject: [PATCH] Fix build with exiv2-0.27

Fixes https://gitlab.com/luspi/photoqt/issues/64
---
 cplusplus/scripts/getanddostuff/manipulation.h | 3 +--
 cplusplus/scripts/getmetadata.cpp              | 4 ++--
 cplusplus/scripts/getmetadata.h                | 3 +--
 cplusplus/scripts/managepeopletags.cpp         | 4 ++--
 cplusplus/scripts/managepeopletags.h           | 3 +--
 5 files changed, 7 insertions(+), 10 deletions(-)

diff --git a/cplusplus/scripts/getanddostuff/manipulation.h b/cplusplus/scripts/getanddostuff/manipulation.h
index b3fa9b42..465d9372 100644
--- a/cplusplus/scripts/getanddostuff/manipulation.h
+++ b/cplusplus/scripts/getanddostuff/manipulation.h
@@ -38,8 +38,7 @@
 #include "../../logger.h"
 
 #ifdef EXIV2
-#include <exiv2/image.hpp>
-#include <exiv2/exif.hpp>
+#include <exiv2/exiv2.hpp>
 #endif
 
 class GetAndDoStuffManipulation : public QObject {
diff --git a/cplusplus/scripts/getmetadata.cpp b/cplusplus/scripts/getmetadata.cpp
index deb89a25..df92de6b 100644
--- a/cplusplus/scripts/getmetadata.cpp
+++ b/cplusplus/scripts/getmetadata.cpp
@@ -203,7 +203,7 @@ QVariantMap GetMetaData::getExiv2(QString path) {
                 }
 
             } catch(Exiv2::Error &e) {
-                LOG << CURDATE << "GetMetaData::getExiv2() Unable to read Exif metadata: " << e << " (" << Exiv2::errMsg(e.code()) << ")" << NL;
+                LOG << CURDATE << "GetMetaData::getExiv2() Unable to read Exif metadata: " << e.what() << NL;
             }
 
             // If GPS is set, compose into one string
@@ -246,7 +246,7 @@ QVariantMap GetMetaData::getExiv2(QString path) {
                 }
 
             } catch(Exiv2::Error &e) {
-                LOG << CURDATE << "GetMetaData::getExiv2() ERROR reading IPTC metadata: " << e << " (" << Exiv2::errMsg(e.code()) << ")" << NL;
+                LOG << CURDATE << "GetMetaData::getExiv2() ERROR reading IPTC metadata: " << e.what() << NL;
             }
 
             QString city = returnMap["Iptc.Application2.City"].toString();
diff --git a/cplusplus/scripts/getmetadata.h b/cplusplus/scripts/getmetadata.h
index e427cbc1..c5b99140 100644
--- a/cplusplus/scripts/getmetadata.h
+++ b/cplusplus/scripts/getmetadata.h
@@ -34,8 +34,7 @@
 #include "../logger.h"
 
 #ifdef EXIV2
-#include <exiv2/image.hpp>
-#include <exiv2/exif.hpp>
+#include <exiv2/exiv2.hpp>
 #endif
 
 class GetMetaData : public QObject {
diff --git a/cplusplus/scripts/managepeopletags.cpp b/cplusplus/scripts/managepeopletags.cpp
index 9b8c7503..96baeb9e 100644
--- a/cplusplus/scripts/managepeopletags.cpp
+++ b/cplusplus/scripts/managepeopletags.cpp
@@ -98,7 +98,7 @@ QVariantList ManagePeopleTags::getFaceTags(QString path) {
 
     } catch(Exiv2::Error& e) {
         LOG << CURDATE << "GetPeopleTag::getPeopleLocations() 2 - ERROR reading exiv data (caught exception): "
-            << e << " (" << Exiv2::errMsg(e.code()) << ")" << NL;
+            << e.what() << NL;
         return ret;
     }
 
@@ -201,7 +201,7 @@ void ManagePeopleTags::setFaceTags(QString filename, QVariantList tags) {
 
     } catch(Exiv2::Error& e) {
         LOG << CURDATE << "GetPeopleTag::setFaceTags() - ERROR reading exiv data (caught exception): "
-            << e << " (" << Exiv2::errMsg(e.code()) << ")" << NL;
+            << e.what() << NL;
         return;
     }
 
diff --git a/cplusplus/scripts/managepeopletags.h b/cplusplus/scripts/managepeopletags.h
index 1908ba0a..59686cc1 100644
--- a/cplusplus/scripts/managepeopletags.h
+++ b/cplusplus/scripts/managepeopletags.h
@@ -29,8 +29,7 @@
 #include "../logger.h"
 
 #ifdef EXIV2
-#include <exiv2/image.hpp>
-#include <exiv2/exif.hpp>
+#include <exiv2/exiv2.hpp>
 #endif
 
 class ManagePeopleTags : public QObject {
-- 
2.18.1
